package com.ghy.payment.mapper;

import com.ghy.payment.domain.FinancialMaster;

import java.util.List;

/**
 * 主财务单的mapper层
 *
 * @author HH 2022/4/24
 */
public interface FinancialMasterMapper {

    /**
     * @param financialMaster 主财务单属性
     * @return 成功条数
     */
    int insertFinancialMaster(FinancialMaster financialMaster);

    /**
     * @param financialMaster 主财务单属性
     * @return 成功条数
     */
    int updateFinancialMaster(FinancialMaster financialMaster);

    /**
     * @param financialMaster 主财务单入参
     * @return 主财务单集合
     */
    List<FinancialMaster> selectFinancialMasterList(FinancialMaster financialMaster);

    /**
     * @param financialMasterId 主财务单id
     * @return 主财务单
     */
    FinancialMaster selectById(Long financialMasterId);

    /**
     * 批量删除主财务单信息
     *
     * @param financialMasterIds 需要删除的数据ID
     * @return 结果
     */
    int deleteFinancialMasterByIds(Long[] financialMasterIds);

}
